cancel Ensemble Forecast
curl --request POST \
--url https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"forecast_id": "ens_01JEXAMPLE7M6N",
"status": "failed",
"progress": {
"completed_models": 0,
"total_models": 4,
"current_model": null
},
"status_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N",
"result_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N",
"error": {
"code": "FORECAST_CANCELED",
"retryable": false
},
"worker_cancellation": "requested"
},
"meta": {
"api_version": "v1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Forecast
cancel Ensemble Forecast
Atomically prevents further execution/result acceptance, releases compute admission and reserved metered charges, then requests cancellation of the exact saved worker run. Repeated calls are safe. Completed forecasts remain completed. Canceled jobs retain status failed with error.code FORECAST_CANCELED for compatibility.
POST
/
v1
/
ensemble-forecasts
/
{forecast_id}
/
cancel
cancel Ensemble Forecast
curl --request POST \
--url https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/ensemble-forecasts/{forecast_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"forecast_id": "ens_01JEXAMPLE7M6N",
"status": "failed",
"progress": {
"completed_models": 0,
"total_models": 4,
"current_model": null
},
"status_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N",
"result_url": "/api/v1/ensemble-forecasts/ens_01JEXAMPLE7M6N",
"error": {
"code": "FORECAST_CANCELED",
"retryable": false
},
"worker_cancellation": "requested"
},
"meta": {
"api_version": "v1"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
bearerAuthclerkOAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Forecast id or unique slug.